## e-cal-types e-cal-types |

## Functions

GQuark | e_calendar_error_quark ()

## Types and Values

enum | ECalClientSourceType
enum | ECalObjModType
#define | E_CALENDAR_ERROR
enum | ECalChangeType
| ECalChange
enum | ECalendarStatus
#define | E_CALENDAR_STATUS_CORBA_EXCEPTION
enum | EDataCalObjType
enum | EDataCalObjModType
typedef | CalObjModType
#define | CALOBJ_MOD_THIS
#define | CALOBJ_MOD_THISANDPRIOR
#define | CALOBJ_MOD_THISANDFUTURE
#define | CALOBJ_MOD_ALL
#define | CALOBJ_MOD_ONLY_THIS

## Description

## Functions

### e_calendar_error_quark ()

    GQuark
    e_calendar_error_quark (void);

`e_calendar_error_quark` is deprecated and should not be used in newly-written code.

## Types and Values

### enum ECalClientSourceType

Indicates the type of calendar

#### Members

E_CAL_CLIENT_SOURCE_TYPE_EVENTS | Events calander |
E_CAL_CLIENT_SOURCE_TYPE_TASKS | Task list calendar |
E_CAL_CLIENT_SOURCE_TYPE_MEMOS | Memo list calendar |
E_CAL_CLIENT_SOURCE_TYPE_LAST | Artificial 'last' value of the enum |

Since: 3.2

### enum ECalObjModType

Indicates the type of modification made to a calendar

#### Members

E_CAL_OBJ_MOD_THIS | Modify this component |
E_CAL_OBJ_MOD_THIS_AND_PRIOR | Modify this component and all prior occurrances |
E_CAL_OBJ_MOD_THIS_AND_FUTURE | Modify this component and all future occurrances |
E_CAL_OBJ_MOD_ALL | Modify all occurrances of this component |
E_CAL_OBJ_MOD_ONLY_THIS | Modify only this component |

Since: 3.8

### E_CALENDAR_ERROR

    #define E_CALENDAR_ERROR e_calendar_error_quark()

`E_CALENDAR_ERROR` has been deprecated since version 3.2 and should not be used in newly-written code.

Use ECalClient and it's errors instead

The error domain for the deprecated ECal

### enum ECalChangeType

`ECalChangeType` has been deprecated since version 3.2 and should not be used in newly-written code.

Use ECalClient instead

Indicates the type of change in an ECalChange

#### Members

E_CAL_CHANGE_ADDED | A component was added |
E_CAL_CHANGE_MODIFIED | A component was modified |
E_CAL_CHANGE_DELETED | A component was deleted |

### ECalChange

    typedef struct {
    	ECalComponent *comp;
    	ECalChangeType type;
    } ECalChange;

`ECalChange` has been deprecated since version 3.2 and should not be used in newly-written code.

Use ECalClient instead

A structure indicating a calendar change

#### Members

ECalComponent *`comp`; | The ECalComponent which changed |
ECalChangeType `type`; | The ECalChangeType which occurred |

### enum ECalendarStatus

`ECalendarStatus` has been deprecated since version 3.2 and should not be used in newly-written code.

Use ECalClient and it's errors instead

Error codes for the E_CALENDAR_ERROR error domain

#### Members

### E_CALENDAR_STATUS_CORBA_EXCEPTION

    #define E_CALENDAR_STATUS_CORBA_EXCEPTION E_CALENDAR_STATUS_DBUS_EXCEPTION

`E_CALENDAR_STATUS_CORBA_EXCEPTION` is deprecated and should not be used in newly-written code.

Use ECalClient and it's errors instead

A deprecated ECalendarStatus error code

### enum EDataCalObjType

`EDataCalObjType` is deprecated and should not be used in newly-written code.

A deprecated object type indicator

Deprecated

#### Members

### enum EDataCalObjModType

`EDataCalObjModType` is deprecated and should not be used in newly-written code.

A deprecated object modification type indicator

Deprecated

#### Members

### CalObjModType

    typedef ECalObjModType CalObjModType;

`CalObjModType` is deprecated and should not be used in newly-written code.

### CALOBJ_MOD_THIS

    #define CALOBJ_MOD_THIS          E_CAL_OBJ_MOD_THIS

`CALOBJ_MOD_THIS` is deprecated and should not be used in newly-written code.

### CALOBJ_MOD_THISANDPRIOR

    #define CALOBJ_MOD_THISANDPRIOR  E_CAL_OBJ_MOD_THIS_AND_PRIOR

`CALOBJ_MOD_THISANDPRIOR` is deprecated and should not be used in newly-written code.

### CALOBJ_MOD_THISANDFUTURE

    #define CALOBJ_MOD_THISANDFUTURE E_CAL_OBJ_MOD_THIS_AND_FUTURE

`CALOBJ_MOD_THISANDFUTURE` is deprecated and should not be used in newly-written code.

### CALOBJ_MOD_ALL

    #define CALOBJ_MOD_ALL           E_CAL_OBJ_MOD_ALL

`CALOBJ_MOD_ALL` is deprecated and should not be used in newly-written code.

### CALOBJ_MOD_ONLY_THIS

    #define CALOBJ_MOD_ONLY_THIS     E_CAL_OBJ_MOD_ONLY_THIS

`CALOBJ_MOD_ONLY_THIS` is deprecated and should not be used in newly-written code.